# MatCreateDAAD

Creates a matrix that can do matrix-vector products using a local function that is differentiated with ADIFOR or ADIC.

### Synopsis

    #include "petscda.h"
    #include "petscsnes.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatCreateDAAD(DA da,Mat *A)

Collective on DA

### Input Parameters

da -the DA that defines the distribution of the vectors

### Output Parameter

A -the matrix

### See Also

MatCreate(), DASetLocalAdicMFFunction()

Level:intermediate
Location: src/mat/impls/adic/matadic.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex26.c.html
src/snes/examples/tutorials/ex5f.F.html